<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="lum_basetheme/DouiControls.xsl"/>
	
	<xsl:template match="control[@type='lum_interfaceHeader']" name="lum_interfaceHeader">
		<h2>
			<xsl:value-of select="data/patterns/standardTitle"/>
		</h2>
	</xsl:template>
	
	<xsl:template match="control[@type='lum_tabularData']" name="lum_tabularData">
		<xsl:if test="data/row">
			<xsl:for-each select="data/row">
				<xsl:apply-templates mode="lum_renderRowFields" select="."/>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="*" mode="lum_renderRowFields">
		<xsl:variable name="fields" select="ancestor::control[1]/fields"/>
		<xsl:variable name="isDetails" select="/renderData/douiContext/interfaceType/isDetails='true'"/>
		
		
			<div id="col1" class="grid_7">
    	<xsl:variable name="primaryNameField" select="$fields/field[@isPrimaryName='true']" />
				<xsl:if test="$primaryNameField and (not($primaryNameField/@display) or $primaryNameField/@display='true')">
					<xsl:variable name="primaryNameData" select="*[name()=$primaryNameField/@id]"/>
					<xsl:variable name="primaryNameRender"><xsl:apply-templates select="$primaryNameData" mode="lum_renderFieldValue"/></xsl:variable>
					<xsl:if test="$primaryNameRender!=''">
    				<h5>
    				<xsl:value-of select="$primaryNameData" />
						</h5>
					</xsl:if>
				</xsl:if>
<!-- isIntroduction -->
		<xsl:variable name="introductionField" select="$fields/field[@isIntroduction='true']" />
		<xsl:if test="$introductionField and (not($introductionField/@display) or $introductionField/@display='true') and ($introductionField/@isDetail='false' or not($introductionField/@isDetail) or not($isDetails))">
			<xsl:variable name="introductionData" select="*[name()=$introductionField/@id]"/>
			
			<p><xsl:apply-templates select="$introductionData" mode="lum_renderFieldValue"/></p>
		</xsl:if>


		<xsl:variable name="rowOnClick" select="../@onClick"/>
		<xsl:variable name="rowHref" select="../@href"/>
		<xsl:variable name="rowTarget" select="../@target"/>
		<xsl:choose>
			<xsl:when test="@href!='' or @onClick!='' or $rowHref!='' or $rowOnClick!=''">
				<p><a href="#">
				<xsl:choose>
						<xsl:when test="@href!='' or @onClick!=''">
							<xsl:if test="@href!=''">
								<xsl:attribute name="href"><xsl:value-of select="@href" /></xsl:attribute>
							</xsl:if>
							<xsl:if test="@onClick!=''">
								<xsl:attribute name="onclick"><xsl:value-of select="@onClick" /></xsl:attribute>
							</xsl:if>
							<xsl:if test="@target!=''">
								<xsl:attribute name="target"><xsl:value-of select="@target" /></xsl:attribute>
							</xsl:if>
						</xsl:when>
						<xsl:when test="$rowHref!='' or $rowOnClick!=''">
							<xsl:if test="$rowHref!=''">
								<xsl:attribute name="href"><xsl:value-of select="$rowHref" /></xsl:attribute>
							</xsl:if>
							<xsl:if test="$rowOnClick!=''">
									<xsl:attribute name="onclick"><xsl:value-of select="$rowOnClick" /></xsl:attribute>
							</xsl:if>
							<xsl:if test="$rowTarget!=''">
								<xsl:attribute name="target"><xsl:value-of select="$rowTarget" /></xsl:attribute>
							</xsl:if>
						</xsl:when>
					</xsl:choose>
				Leia mais	
				</a></p>
			</xsl:when>
		</xsl:choose>
    </div>
	</xsl:template>
		
	
</xsl:stylesheet>